System Optimizer Help & Tips

Use System Optimizer

With System Optimizer you will:

  • Access many hidden Windows registry settings to improve Windows appearance and performance.
  • Remove useless clutter (even "un-removable" Windows components).
  • Make Windows XP work the way you want it to.
  • Increase Windows security.
  • And much more...

Please take a moment to read this small help file. It contains important information!

This file contains some tips & pointers for System Optimizer. Descriptions for individual settings are displayed within the program.

Continue...


General

General Information

When working with Windows XP and user profiles, it is important that the user has at least two accounts with Administrative privileges. The initial user password provided during installation is usually assigned to the Administrator account. This account is not listed on the Welcome screen (where the user logs into Windows XP) by default. The main user account may also have administrative privileges. The user can check this by going to the Windows Control Panel and selecting User Accounts and Passwords.

The recommendation for two accounts with Administrative privileges is that in rare occasions a user profile can become corrupted and inaccessible. This corruption has nothing to do with System Optimizer; it's just something that has been reported with normal Windows use from time to time.

For some settings to be changed, the program will require the user to log off from the current Windows session. When the user logs back on, the changes will be applied. In a few cases the user will have to reboot the system to register the changes. The log off and reboot requirements are listed in the Description of the settings. System Optimizer will also notify the user if such actions are required.


Install Information

System Optimizer needs to be installed by a user with Administrative privileges. When installed, System Optimizer will be made available to all users on the local system. Users with restricted privileges will notice that there are not a lot of things they can change on their system. This is because they will not have read/write access to most part of the Windows XP registry.

To restrict users access to System Optimizer, a password can be set on the program. For more information, see the Password protect page.


Getting Started

After launching System Optimizer, the user should select a profile to make adjustments to. The current user account will be selected by default. To change the settings of any other users on the system will require an account with Administrative privileges. To change an account, select the account and press the Select User button.

Please note that Windows will not create a registry profile until the user has logged into his/her account at least once. An error message will occur if the user selects an account with no profile.

The status bar at the bottom of System Optimizer will list the current selected user.

Navigation

Please note that sub-items are listed under the buttons that make up the programs menu at the left side. When more than four items are available, small scroll buttons will appear. Clicking the scroll button will allow the user to access the other sub-items (see image below).


Getting Started

Keyboard Navigation

The System Optimizer program can be used without a mouse. The following keys can be used to navigate:

The up & down arrow keys:
- Select folder or sub items.
- If focus is on folder then it will select the next folder.
- If focus is on a sub item then it will select the next sub item.
- After last sub item it will select the next folder.

The right arrow key will select a sub item when focus is on the folder.

The left arrow will select the parent folder when focus is on a sub item.

The Home key:
- Select the first sub item when focus is on a sub item.
- If focus is on a folder, it will select the first folder.

The End key:
- Select the last sub item when focus is on a sub item.
- If focus is on a folder it will select the last folder.

While selecting folder or sub item using keyboard navigation, focus remains on the left pane (the menu), you can press the Tab key to shift focus to the right pane (where the Settings are listed).

Similarly, from the right pane, you can use the Tab key to change focus to other controls on the right pane (such as the Apply, Cancel, Undo and Exit buttons) and finally navigate back to the left pane.


Getting Started

Password protect

The user may password protect System Optimizer. To do so, click on the System Optimizer Settings button at the left side, and select the Password protection icon. Place a check-mark in the box password protect System Optimizer. The cursor will now jump to the New password entry box under Change Administrator password. Enter the administrator password here and confirm the password by re-typing it in the Confirm new password entry box. Repeat the steps for the user password and click on the Apply button to set the passwords.

The next time the user launches System Optimizer, the program will start at the Password protect window, and prompt the user to enter a password in the Enter password box. Either the administrator password or user password is required to activate the program.

The Administrator password is used to set password protection options for System Optimizer. This password has nothing to do with the Windows Administrative password. The User password is a password that cannot be changed by the user but will grant access to the program. This provides the Administrator a method to control user access to the program.

Happy Optimizing!

Home
General Information
Install Information
Getting Started
Keyboard Navigation
Password protect